package com.reptileclient.jlifeapp.entity.jz;

import java.time.LocalDateTime;

/**
    * 客户线索表
    */
public class JzbmLead {
    /**
    * 主键id
    */
    private Integer id;

    /**
    * 线索编号
    */
    private String leadNo;

    /**
    * 来源关系id（保留以前）
    */
    private Integer sourceId;

    /**
    * 来源名称
    */
    private String sourceName;

    /**
    * 服务城市id
    */
    private Integer serviceCity;

    private String serviceCityName;

    /**
    * 客户id
    */
    private Long customerId;

    /**
    * 性别 1男 2女
    */
    private Integer gender;

    /**
    * 客户姓名
    */
    private String customerName;

    /**
    * 客户电话
    */
    private String customerTel;

    /**
    * 客户住址
    */
    private String customerAddr;

    /**
    * 服务模式
 钟点工10，普通家务保姆11，育儿嫂12 ，
月嫂20，
代班钟点工30，代班保姆31
    */
    private Integer serviceModel;

    /**
    * 1待分配，2跟进中，3跟进失败，4已成单 5无效线索
    */
    private Integer state;

    /**
    * 服务内容
    */
    private String serviceContent;

    /**
    * 成单时间
    */
    private LocalDateTime orderFormTime;

    /**
    * 当前跟进人id
    */
    private Integer followId;

    /**
    * 跟进人
    */
    private String followPerson;

    /**
    * 分配时间
    */
    private LocalDateTime allocationTime;

    /**
    * 下次跟进时间
    */
    private LocalDateTime nextFollowTime;

    /**
    * 创建人id
    */
    private Long createId;

    /**
    * 创建人
    */
    private String createUser;

    /**
    * 创建时间
    */
    private LocalDateTime createTime;

    /**
    * 更新时间
    */
    private LocalDateTime updateTime;

    /**
    * 备注
    */
    private String remark;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getLeadNo() {
        return leadNo;
    }

    public void setLeadNo(String leadNo) {
        this.leadNo = leadNo;
    }

    public Integer getSourceId() {
        return sourceId;
    }

    public void setSourceId(Integer sourceId) {
        this.sourceId = sourceId;
    }

    public String getSourceName() {
        return sourceName;
    }

    public void setSourceName(String sourceName) {
        this.sourceName = sourceName;
    }

    public Integer getServiceCity() {
        return serviceCity;
    }

    public void setServiceCity(Integer serviceCity) {
        this.serviceCity = serviceCity;
    }

    public String getServiceCityName() {
        return serviceCityName;
    }

    public void setServiceCityName(String serviceCityName) {
        this.serviceCityName = serviceCityName;
    }

    public Long getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Long customerId) {
        this.customerId = customerId;
    }

    public Integer getGender() {
        return gender;
    }

    public void setGender(Integer gender) {
        this.gender = gender;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getCustomerTel() {
        return customerTel;
    }

    public void setCustomerTel(String customerTel) {
        this.customerTel = customerTel;
    }

    public String getCustomerAddr() {
        return customerAddr;
    }

    public void setCustomerAddr(String customerAddr) {
        this.customerAddr = customerAddr;
    }

    public Integer getServiceModel() {
        return serviceModel;
    }

    public void setServiceModel(Integer serviceModel) {
        this.serviceModel = serviceModel;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getServiceContent() {
        return serviceContent;
    }

    public void setServiceContent(String serviceContent) {
        this.serviceContent = serviceContent;
    }

    public LocalDateTime getOrderFormTime() {
        return orderFormTime;
    }

    public void setOrderFormTime(LocalDateTime orderFormTime) {
        this.orderFormTime = orderFormTime;
    }

    public Integer getFollowId() {
        return followId;
    }

    public void setFollowId(Integer followId) {
        this.followId = followId;
    }

    public String getFollowPerson() {
        return followPerson;
    }

    public void setFollowPerson(String followPerson) {
        this.followPerson = followPerson;
    }

    public LocalDateTime getAllocationTime() {
        return allocationTime;
    }

    public void setAllocationTime(LocalDateTime allocationTime) {
        this.allocationTime = allocationTime;
    }

    public LocalDateTime getNextFollowTime() {
        return nextFollowTime;
    }

    public void setNextFollowTime(LocalDateTime nextFollowTime) {
        this.nextFollowTime = nextFollowTime;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
